Scilab Function

xfarc - remplit un secteur angulaire d'ellipse

### Calling Sequence

  `xfarc(x,y,w,h,a1,a2)`

### Parameters

- `x,y,w,h` : 4 valeurs réelles définissant un rectangle.
- `a1,a2` : valeurs réelles définissant un secteur

### Description

`xfarc` remplit un arc d'ellipse contenu dans le rectangle `(x,y,w,h)` (point en haut à gauche, largeur, hauteur), et dans le secteur défini par l'angle `alpha1` et l'angle `alpha1+alpha2` . `alpha1` et `alpha2` sont donnés respectivement par `a1/64` degrés et `a2/64` degrés. Cette fonction utilise l'échelle et la couleur courantes.

### Examples

    // échelle isométrique
    plot2d(0,0,-1,"031"," ",[-2,-2,2,2])
    xfarc(-0.5,0.5,1,1,0,90*64)
    xset("color",2)
    xfarc(0.5,0.5,1,1,0,360*64)

### See Also

`xarc` , `xarcs` , `xfarcs` ,

### Author

J.Ph.C.;